* { box-sizing: border-box }

body {
	width: 640px;
	height: 440px;
	margin: 20px auto;
	padding: 0 10px;
	display: flex;
	justify-content: space-between;
	background: #e6f2f5;
}

#game-container {
	position: relative;
	width: 360px;
}

#grid {
	margin: 0 auto;
	display: grid;
	grid-template-columns: repeat(8, 40px);
	gap: 4px;
	position: absolute;
	top: 40px;
}

.square {
	border: 2px solid;
	border-radius: 10px;
	text-align: center;
	width: 40px;
	height: 40px;
	font-size: 24px;
	background: #fff;
}

#block {
	margin: 0px auto;
	display: flex;
	gap: 4px;
	transform: translate(132px, 0px);
	position: absolute;
	top: -4px;
	z-index: 10;

	&.red { color: #f00 }
	&.column { flex-direction: column }
	.square { background: #eee }
}

#buttons {
	position: absolute;
	top: 410px;
	width: 348px;
	font-size: 13px;
}

#reset {
	width: 150px;
	cursor: pointer;
}

#text-container {
	width: 220px;
}

#score-container {
	line-height: 35px;
	font-size: 20px;
}

table {
	width: 100%;
}

th {
	text-align: center;
	padding: 5px;
	background: #167F92;
	color: #fff;
}

td {
	padding-bottom: 12px;
}

#start {
	position: absolute;
	inset: 0;
	background: rgba(0,0,0,.8);
	z-index: 10;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	row-gap: 10px;

	button {
		width: 60%;
		font-size: 20px;
		cursor: pointer;
		padding: 5px 0;
	}
}

.hidden {
	display: none!important;
}